ADAM_2.12: Core 0.35.0 API < Back
 

# Packages

-  package root
  Definition Classes
    root
-  package org
  Definition Classes
    root
-  package bdgenomics
  Definition Classes
    org
-  package adam
  Definition Classes
    bdgenomics
-  package sql
  Definition Classes
    adam
- Alignment
- Dbxref
- Feature
- Fragment
- Genotype
- OntologyTerm
- ProcessingStep
- Read
- Reference
- Sequence
- Slice
- TranscriptEffect
- Variant
- VariantAnnotation
- VariantCallingAnnotations
- VariantContext

c

org.bdgenomics.adam.sql

# Feature 

###
Companion object Feature

#### case class Feature(featureId: Option[String] = None, sampleId: Option[String] = None, name: Option[String] = None, source: Option[String] = None, featureType: Option[String] = None, referenceName: Option[String] = None, start: Option[Long] = None, end: Option[Long] = None, strand: Option[String] = None, phase: Option[Int] = None, frame: Option[Int] = None, score: Option[Double] = None, geneId: Option[String] = None, transcriptId: Option[String] = None, exonId: Option[String] = None, aliases: Seq[String] = Seq(), parentIds: Seq[String] = Seq(), target: Option[String] = None, gap: Option[String] = None, derivesFrom: Option[String] = None, notes: Seq[String] = Seq(), dbxrefs: Seq[Dbxref] = Seq(), ontologyTerms: Seq[OntologyTerm] = Seq(), circular: Option[Boolean] = None, attributes: Map[String, String] = Map()) extends Product with Serializable

Linear Supertypes
Serializable, Serializable, Product, Equals, AnyRef, Any
 
Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. Feature
2. Serializable
3. Serializable
4. Product
5. Equals
6. AnyRef
7. Any

1. Hide All
2. Show All

Visibility

1. Public
2. All

### Instance Constructors

1.  new Feature(featureId: Option[String] = None, sampleId: Option[String] = None, name: Option[String] = None, source: Option[String] = None, featureType: Option[String] = None, referenceName: Option[String] = None, start: Option[Long] = None, end: Option[Long] = None, strand: Option[String] = None, phase: Option[Int] = None, frame: Option[Int] = None, score: Option[Double] = None, geneId: Option[String] = None, transcriptId: Option[String] = None, exonId: Option[String] = None, aliases: Seq[String] = Seq(), parentIds: Seq[String] = Seq(), target: Option[String] = None, gap: Option[String] = None, derivesFrom: Option[String] = None, notes: Seq[String] = Seq(), dbxrefs: Seq[Dbxref] = Seq(), ontologyTerms: Seq[OntologyTerm] = Seq(), circular: Option[Boolean] = None, attributes: Map[String, String] = Map())

### Value Members

1.  final def !=(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
2.  final def ##(): Int
   Definition Classes
     AnyRef → Any
3.  final def ==(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
4.  val aliases: Seq[String]
5.  final def asInstanceOf[T0]: T0
   Definition Classes
     Any
6.  val attributes: Map[String, String]
7.  def canEqual(that: Any): Boolean
   Definition Classes
     Feature → Equals
8.  val circular: Option[Boolean]
9.  def clone(): AnyRef
   Attributes
     protected[lang]
   Definition Classes
     AnyRef
   Annotations
     @throws( ... ) @native() @HotSpotIntrinsicCandidate()
10.  val dbxrefs: Seq[Dbxref]
11.  val derivesFrom: Option[String]
12.  val end: Option[Long]
13.  final def eq(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
14.  val exonId: Option[String]
15.  val featureId: Option[String]
16.  val featureType: Option[String]
17.  val frame: Option[Int]
18.  val gap: Option[String]
19.  val geneId: Option[String]
20.  final def getClass(): Class[_]
    Definition Classes
      AnyRef → Any
    Annotations
      @native() @HotSpotIntrinsicCandidate()
21.  final def isInstanceOf[T0]: Boolean
    Definition Classes
      Any
22.  val name: Option[String]
23.  final def ne(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
24.  val notes: Seq[String]
25.  final def notify(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native() @HotSpotIntrinsicCandidate()
26.  final def notifyAll(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native() @HotSpotIntrinsicCandidate()
27.  val ontologyTerms: Seq[OntologyTerm]
28.  val parentIds: Seq[String]
29.  val phase: Option[Int]
30.  def productArity: Int
    Definition Classes
      Feature → Product
31.  def productElement(i: Int): Any
    Definition Classes
      Feature → Product
32.  val referenceName: Option[String]
33.  val sampleId: Option[String]
34.  val score: Option[Double]
35.  val source: Option[String]
36.  val start: Option[Long]
37.  val strand: Option[String]
38.  final def synchronized[T0](arg0: ⇒ T0): T0
    Definition Classes
      AnyRef
39.  val target: Option[String]
40.  def toAvro: formats.avro.Feature
41.  val transcriptId: Option[String]
42.  final def wait(arg0: Long, arg1: Int): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws( ... )
43.  final def wait(arg0: Long): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws( ... ) @native()
44.  final def wait(): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

### Deprecated Value Members

1.  def finalize(): Unit
   Attributes
     protected[lang]
   Definition Classes
     AnyRef
   Annotations
     @throws( classOf[java.lang.Throwable] ) @Deprecated @deprecated
   Deprecated

     (Since version ) see corresponding Javadoc for more information.

### Inherited from Serializable

### Inherited from Product

### Inherited from Equals

### Inherited from AnyRef

### Inherited from Any

### Ungrouped